TaskCompletionEvent.Status (Hadoop 0.20.2-cdh3u5 API)
Date: 2012-10-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.mapred
Enum TaskCompletionEvent.Status

    java.lang.Object
      java.lang.Enum<TaskCompletionEvent.Status>
          org.apache.hadoop.mapred.TaskCompletionEvent.Status

All Implemented Interfaces:
  Serializable, Comparable<TaskCompletionEvent.Status>

Enclosing class:
  TaskCompletionEvent

    public static enum TaskCompletionEvent.Status

extends Enum<TaskCompletionEvent.Status>

Enum Constant Summary
`FAILED`
`KILLED`
`OBSOLETE`
`SUCCEEDED`
`TIPFAILED`

Method Summary
`static TaskCompletionEvent.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TaskCompletionEvent.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FAILED

    public static final TaskCompletionEvent.Status FAILED

### KILLED

    public static final TaskCompletionEvent.Status KILLED

### SUCCEEDED

    public static final TaskCompletionEvent.Status SUCCEEDED

### OBSOLETE

    public static final TaskCompletionEvent.Status OBSOLETE

### TIPFAILED

    public static final TaskCompletionEvent.Status TIPFAILED

Method Detail

### values

    public static TaskCompletionEvent.Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TaskCompletionEvent.Status c : TaskCompletionEvent.Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TaskCompletionEvent.Status valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation